package com.yihu.jw.entity.care.common;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/7/19
 * @Description:
 */
@Entity
@Table(name="base_getui_client")
public class GetuiClientDO extends UuidIdentityEntityWithCreateTime {

    /**
     * 居民或医生code
     */
    private String user;
    /**
     * 1居民 2医生
     */
    private Integer type;
    /**
     * 个推clientId
     */
    private String clientId;

    @Column(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "client_id")
    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }
}
